<template>
	<view>
		<combined-title title="提煤单详情"></combined-title>
		<view class="compDetails" v-for="(item, index) in yyDailyList" :key="index">
			<uni-table border stripe emptyText="暂无更多数据">
				<uni-tr>
					<uni-th align="left">提煤单编号</uni-th>
					<uni-td align="left">{{ item.code || '' }}</uni-td>
				</uni-tr>
				<uni-tr>
					<uni-th align="left">提煤单状态</uni-th>
					<uni-td align="left">{{ coalStatus[item.status] }}</uni-td>
				</uni-tr>
				<uni-tr>
					<uni-th align="left">车牌号</uni-th>
					<uni-td align="left">{{ item.carNo || '' }}</uni-td>
				</uni-tr>
				<uni-tr>
					<uni-th align="left">入场时间</uni-th>
					<uni-td align="left">{{ item.inTime || '' }}</uni-td>
				</uni-tr>
				<uni-tr>
					<uni-th align="left">出场时间</uni-th>
					<uni-td align="left">{{ item.outTime || '' }}</uni-td>
				</uni-tr>
				<uni-tr>
					<uni-th align="left">皮重</uni-th>
					<uni-td align="left">{{ item.skin || 0 }}</uni-td>
				</uni-tr>
				<uni-tr>
					<uni-th align="left">毛重</uni-th>
					<uni-td align="left">{{ item.hair || 0 }}</uni-td>
				</uni-tr>
				<uni-tr>
					<uni-th align="left">净重</uni-th>
					<uni-td align="left">{{ item.clean || 0 }}</uni-td>
				</uni-tr>
				<uni-tr>
					<uni-th align="left">订单编号</uni-th>
					<uni-td align="left">{{ item.orderCode || '' }}</uni-td>
				</uni-tr>
				<uni-tr>
					<uni-th align="left">订单剩余量</uni-th>
					<uni-td align="left">{{ item.allowance || 0 }}</uni-td>
				</uni-tr>
			</uni-table>
		</view>
	</view>
</template>

<script>
import combinedTitle from '@/components/combined-title/combined-title.vue';

export default {
	components: {
		combinedTitle
	},
	onLoad(params) {
		this.orderPlanId = params.orderPlanId;
		this.index = params.index;
	},
	onShow() {
		this.GetOrderPlanDetail();
	},
	data() {
		return {
			orderPlanId: '',
			yyDailyList: [],
			orderPlanDetail: {},
			coalStatus: ['领取', '预约', '签到', '入场', '称皮', '称毛', '离场', '入磅房', '出磅房', '入煤场', '出煤仓'],
			index: ''
		};
	},
	methods: {
		GetOrderPlanDetail() {
			uni.showLoading({
				title: '加载中...'
			});
			this.$reqGet('xiangqingList', { orderPlanId: this.orderPlanId }).then(res => {
				if (res.code == 0) {
					this.orderPlanDetail = res.data;
					this.yyDailyList = res.data.yyDailyList.filter((v, i) => i == this.index);
					uni.hideLoading();
				} else {
					this.$u.toast('加载失败');
				}
			});
		}
	}
};
</script>

<style scoped lang="scss">
.uni-table {
	.uni-table-tr {
		padding: 0;
		border: vww(1) solid #c6c6c6;
		.uni-table-th {
			font-size: vww(14);
			height: vww(30);
			line-height: vww(30);
			padding: vww(5) vww(10);
			color: #111111;
			font-weight: 500;
			background: #e2e2e2;
		}
		.uni-table-td {
			font-size: vww(14);
			font-weight: 400;
			height: vww(30);
			line-height: vww(30);
			padding: vww(5) vww(10);
			color: #111111;
		}
	}
}
</style>
